# $Revision: 1.131 $, $Date: 2012/02/11 21:40:49 $
Summary:	Universal SSL tunnel
Summary(pl.UTF-8):	Uniwersalne narzędzie do bezpiecznego tunelowania
Name:		stunnel
Version:	4.52
Release:	1
License:	GPL v2+ with OpenSSL exception
Group:		Networking/Daemons
Source0:	ftp://ftp.stunnel.org/stunnel/%{name}-%{version}.tar.gz
# Source0-md5:	f5e713dda0e8efa659f372832ecd0c2c
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.inet
Source4:	%{name}.tmpfiles
Patch0:		%{name}-authpriv.patch
Patch1:		%{name}-ac_fixes.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-libwrap_srv_name_log.patch
Patch4:		%{name}-config.patch
URL:		http://www.stunnel.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(stunnel)
Provides:	user(stunnel)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The stunnel program is designed to work as SSL encryption wrapper
between remote client and local (inetd-startable) or remote server.
The concept is that having non-SSL aware daemons running on your
system you can easily setup them to communicate with clients over
secure SSL channel. stunnel can be used to add SSL functionality to
commonly used inetd daemons like POP-2, POP-3 and IMAP servers without
any changes in the programs' code.

%description -l pl.UTF-8
Stunnel umożliwia stawianie silnie kodowanych tuneli pomiędzy serwerem
a komputerem klienta. Przy jego użyciu można łatwo zrealizować usługi
pop3s lub HTTPS.

%package standalone
Summary:	stunnel acts as standalone server
Summary(pl.UTF-8):	stunnel działający jako samodzielny serwer
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	stunnel-inetd

%description standalone
stunnel acts as standalone server.

%description standalone -l pl.UTF-8
stunnel działający jako samodzielny serwer.

%package inetd
Summary:	stunnel acts as inetd service
Summary(pl.UTF-8):	stunnel działający jako usługa inetd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Obsoletes:	stunnel-standalone

%description inetd
stunnel acts as inetd service.

%description inetd -l pl.UTF-8
stunnel działający jako usługa inetd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig/rc-inetd},%{_mandir}/{pl,fr}/man8,%{_var}/run/stunnel} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_mandir}/man8/stunnel.fr.8 $RPM_BUILD_ROOT%{_mandir}/fr/man8/stunnel.8
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/stunnel.pl.8 $RPM_BUILD_ROOT%{_mandir}/pl/man8/stunnel.8
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/stunnel/stunnel.conf-sample $RPM_BUILD_ROOT%{_sysconfdir}/stunnel/stunnel.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/stunnel
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/stunnel
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/stunnel
install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

rm -rf $RPM_BUILD_ROOT%{_libdir}/stunnel
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/stunnel/stunnel.pem
rm -rf $RPM_BUILD_ROOT%{_docdir}/stunnel

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 130 stunnel
%useradd -u 130 -d /var/run/stunnel -s /bin/false -c "stunnel User" -g stunnel stunnel

%post	-p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%userremove stunnel
	%groupremove stunnel
fi

%post standalone
/sbin/chkconfig --add stunnel
%service stunnel restart "stunnel daemon"

%preun standalone
if [ "$1" = "0" ]; then
	%service stunnel stop
	/sbin/chkconfig --del stunnel
fi

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
# note: this COPYING contains general information not GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog NEWS PORTS README TODO doc/en/* doc/stunnel.html tools/{ca.*,importCA.*}
%doc %lang(fr) doc/stunnel.fr.html
%doc %lang(pl) doc/pl/* doc/stunnel.pl.html
%attr(755,root,root) %{_bindir}/stunnel
%attr(755,root,root) %{_bindir}/stunnel3
%dir %{_sysconfdir}/stunnel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/stunnel/stunnel.conf
%attr(750,stunnel,stunnel) %{_var}/run/stunnel
/usr/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man8/stunnel.8*
%lang(fr) %{_mandir}/fr/man8/stunnel.8*
%lang(pl) %{_mandir}/pl/man8/stunnel.8*

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/stunnel
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/stunnel

%files inetd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/stunnel

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stunnel.spec,v $
Revision 1.131  2012/02/11 21:40:49  zbyniu
- up to 4.52

Revision 1.130  2012/01/31 11:55:16  baggins
- release 2

Revision 1.129  2012/01/31 11:32:16  baggins
- added tmpfiles config for systemd

Revision 1.128  2011/12/09 16:02:35  qboosh
- updated to 4.50
- removed gethostbyname_is_in_libc_aka_no_libnsl patch (at last!)

Revision 1.127  2011/12/03 06:21:29  qboosh
- updated to 4.49

Revision 1.126  2011/11/26 23:15:01  adamg
- updated to 4.48

Revision 1.125  2011/11/06 06:52:00  qboosh
- updated to 4.46
- updated am,libwrap_srv_name_log patches
- stunnel.exe no longer in source tarball - dropped from doc

Revision 1.124  2011/09/18 13:27:34  areq
- 4.44

Revision 1.123  2011/09/08 14:55:14  areq
- 4.43

Revision 1.122  2011/07/24 09:43:55  areq
- 4.40

Revision 1.121  2011/07/09 07:49:47  adamg
- updated to 4.39

Revision 1.120  2011/07/01 23:33:30  adamg
- updated to 4.38

Revision 1.119  2011/05/03 13:20:23  qboosh
- updated to 4.36
- updated libwrap_srv_name_log patch

Revision 1.118  2011/04/27 21:42:43  marti
- up to 4.35

Revision 1.117  2010/11/13 12:09:14  pawelz
- release 2

Revision 1.116  2010/09/20 16:14:40  blekot
- up to 4.34

Revision 1.115  2010/06/16 15:11:20  areq
- 4.33

Revision 1.114  2010/04/11 06:29:15  arekm
- release 2

Revision 1.113  2010/02/04 10:39:36  paszczus
- updated to 4.31

Revision 1.112  2010/01/21 14:18:39  paszczus
- updated to 4.30

Revision 1.111  2009/12/04 12:29:51  arekm
- up to 4.29

Revision 1.110  2009/11/09 07:18:58  paszczus
- updated to 4.28

Revision 1.109  2009/04/23 09:07:33  dzeus
- up to 4.27

Revision 1.108  2008/09/21 12:27:48  areq
- 4.26

Revision 1.107  2008/05/27 20:43:20  qboosh
- updated init script
- libtoolize (fixes build with libtool 2.2)
- GPL v2+

Revision 1.106  2008-05-23 17:21:25  megabajt
- add CVE references to rev. 1.105

Revision 1.105  2008-05-19 20:57:10  areq
- 4.24
- fixes [CVE-2008-2400, CVE-2008-2420]

Revision 1.104  2008-03-29 16:46:06  adamg
- updated to 4.22

Revision 1.103  2007/10/28 14:06:07  areq
- 4.21

Revision 1.102  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.101  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.100  2006/12/04 10:53:01  adamg
- updated to 4.20

Revision 1.99  2006/09/12 05:58:14  glen
- check-files cleanup

Revision 1.98  2006/09/11 21:25:54  areq
- 4.17

Revision 1.97  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.96  2006/09/02 12:15:22  areq
- 4.16

Revision 1.95  2006/04/03 08:09:59  radek
- version 4.15

Revision 1.94  2006/03/13 23:14:32  glen
- use %service

Revision 1.93  2006/01/31 22:11:47  qboosh
- don't use epoch when not defined

Revision 1.92  2006/01/24 12:36:09  qboosh
- updated gethostbyname_is_in_libc_aka_no_libnsl,libwrap_srv_name_log patches are back

Revision 1.91  2006/01/18 10:11:03  wrobell
- ver. 4.14

Revision 1.90  2005/09/30 07:22:07  paszczus
- updated to 4.12
- updated Patch0: stunnel-gethostbyname_is_in_libc_aka_no_libnsl.patch

Revision 1.89  2005/07/10 11:29:52  paszczus
- updated to 4.11

Revision 1.88  2005/05/11 11:49:43  qboosh
- updated to 4.10, updated am patch; needs some testing
- moved some deps to proper place

Revision 1.87  2005/05/02 18:07:27  glen
- kill trailing space

Revision 1.86  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.85  2005/01/03 07:57:27  adamg
- updated to 4.07

Revision 1.84  2004/12/26 18:37:03  adamg
- updated to 4.06

Revision 1.83  2004/11/14 14:30:08  saq
- copy and paste error

Revision 1.82  2004/11/11 19:48:19  saq
- mass commit: using %{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.81  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.80  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.79  2004/09/15 21:08:04  ankry
- %userremove/%groupremove support
- some standardization

Revision 1.78  2004/08/23 10:35:55  twittner
- reverted last change - using cp instead of mv in %install with reference
  to $RPM_BUILD_ROOT is doesn't signify for --short-circuit and causes mess
  in %files. (noticed by qboosh).
- moved stunnel.pem from /etc/stunnel/ to %doc (it is generated during
  building and this certificate is identical in all packages)

Revision 1.76  2004/08/09 03:54:31  twittner
- %attr 600 on stunnel.pem and mark of it as config.
- %{epoch}: added to R:
- rel. 4

Revision 1.75  2004/08/09 02:54:13  domelu
- rel 3

Revision 1.74  2004/08/09 00:51:22  twittner
- use %{_sysconfdir} when possible.
- mark /etc/sysconfig/stunnel as config file.
- removed libtoolize from %build and libstunnel.{so,la} from %files
  It seems that stunnel doesn't use them (no dlopen() in code).
- removed call for ldconfig.
- previous changelog entry precised.
- STBR for AC again (no release bumped).

Revision 1.73  2004/08/08 18:27:20  twittner
- rel. 2 many fixes from previous FTP release.
- STBR for Ac upgrade.

Revision 1.72  2004/05/09 01:15:31  twittner
- added subpackages stunnel-{standalone,inetd} and related %post,
  %pre... stuff.
- fixed %files:
  - stunnel.conf-sample -> stunnel.conf (but all is commented out by
    -config.patch).
  - added missing French docs, fixed names of Polish and French manpages.
- added uid=130/gid=130 stunnel - killed nobody, nogroup from %files
- rel. 1.1

Revision 1.71  2004/05/07 23:10:59  twittner
- log service name which was refused too ( -libwrap_srv_name_log.patch).

Revision 1.70  2004/05/07 19:17:21  twittner
- removed `rm -f missing'
- added BR: libwrap-devel

Revision 1.69  2004/03/19 23:46:37  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.68  2004/03/01 22:47:06  orzech
- fixed my mistake

Revision 1.67  2004/03/01 22:43:58  orzech
- up to 4.05

Revision 1.66  2003/09/30 20:18:34  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.65  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.64  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.63  2003/07/25 22:05:05  blues
- cosmetics

Revision 1.62  2003/05/28 13:02:04  malekith
- massive attack: source-md5

Revision 1.61  2003/05/25 06:27:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2003/05/13 10:57:06  misi3k
- COPYING backon line

Revision 1.59  2003/05/13 10:35:33  misi3k
- removed COPYING from %doc

Revision 1.58  2003/04/22 14:46:24  qboosh
- simplified doc paths in files, removed stunnel.init from doc

Revision 1.57  2003/04/22 09:56:25  qboosh
- added todo (fix /var/run/stunnel ownership)

Revision 1.56  2003/03/31 20:10:39  tjbynum
- came on, lazy people.

Revision 1.55  2003/03/19 16:23:36  qrczak
- stunnel-getgrnam.patch: #include <grp.h> for getgrnam
- Release 0.2.

Revision 1.54  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.53  2003/01/12 20:12:32  orzech
- update to 4.04
- rel 0.1 - builds, not tested

Revision 1.52  2002/11/30 23:00:28  juandon
- new %doc

Revision 1.51  2002/05/21 23:14:47  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.50  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.47  2002/01/07 19:01:42  kloczek
- added ac_fixes patch which moves all AC_CHECK_SIZEOF() before libraries
  detections,
- remove obsoleted patches.

Revision 1.46  2002/01/06 17:44:47  marcus
- start upgradinf to 3.22 (security fixes)

Revision 1.45  2001/10/16 14:41:18  kloczek
- bump release to 2,
- merge authpriv patch from rawhide.

Revision 1.44  2001/10/16 12:39:19  qboosh
- conf patch: fix for libwrap checking in configure(.in)
- removed calling automake - this package doesn't have automake support
- fixed DESTDIR patch
- updated %doc

Revision 1.43  2001/10/16 10:17:37  kura
- removed outdated stunnel-fixargs.patch

Revision 1.42  2001/10/03 08:36:51  marcus
- new version 3.20

Revision 1.41  2001/10/03 08:26:04  marcus
- ac/am fixes

Revision 1.40  2001/09/25 19:33:37  baggins
- version 3.18

Revision 1.39  2001/07/16 00:04:10  kloczek
- start update to 3.15 (NOTE: not compiles),
- new Source url,

Revision 1.38  2001/05/09 01:31:36  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.37  2001/04/30 16:05:31  kloczek
- added using %{rpmcflags} macro.

Revision 1.36  2001/02/23 03:38:37  kloczek
- updated to 3.14.

Revision 1.35  2001/01/25 20:03:49  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.34  2001/01/02 15:52:22  baggins
- added openssl-tools to buildrequires

Revision 1.33  2001/01/02 15:40:56  baggins
- updated to 3.11

Revision 1.32  2001/01/02 15:12:56  baggins
- finished upgrade to 3.9
- added gen-cert and piddir patches
- moved stunnel certs to /var/lib/stunnel
- added /var/run/stunnel

Revision 1.31  2000/12/23 00:48:47  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.30  2000/12/20 02:56:03  kloczek
- typo in pl Summary.

Revision 1.29  2000/12/20 02:55:31  kloczek
- updated to 3.9 (but NFY),
- added using new rpm automation,
- new Source url and URL.

Revision 1.28  2000/08/21 17:54:36  kloczek
- release 5,
- added gethostbyname_is_in_libc_aka_no_libnsl patch - now stunnel is not
  linked with libnsl.

Revision 1.27  2000/06/21 19:11:42  kloczek
- release 4,
- spec adapterized.

Revision 1.26  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.25  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.24  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.22  2000/03/07 18:11:54  baggins
- added fixargs patch

Revision 1.21  2000/02/28 14:23:18  wiget
- updated to new version

Revision 1.20  2000/02/12 12:27:49  wiget
- 3.7

Revision 1.19  2000/02/10 21:41:56  kloczek
- spec adapterized,
- cosmetics.

Revision 1.18  2000/02/10 03:53:24  wiget
- 3.6

Revision 1.17  1999/12/21 23:04:45  wiget
- changed for new openssl
- some new version

Revision 1.16  1999/10/16 16:30:02  waszi
- patch1 -p1 -> patch1 -p0

Revision 1.15  1999/09/21 09:32:35  wiget
- BuildRequires: openssl-devel >= 0.9.4 (API changed)

Revision 1.14  1999/09/12 14:56:19  jajcus
- new patch - now the package compiles again
- hardcoded SSL directories fixed
- stunnel.pam certificate is now %config (should it be
  included in package at all?)

Revision 1.13  1999/07/21 12:43:11  pius
- new patches,
- spec file cleanups.

Revision 1.12  1999/07/21 10:54:14  pius
- cosmetics.

Revision 1.11  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/14 14:52:12  baggins
- update to 3.4a

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
